# (Deprecated) Get available tools for an integrated account

> Source: https://truto.one/docs/api-reference/admin/integrated-accounts/tools/

`GET /integrated-account/{id}/tools`

Resource: **Integrated accounts**

> Deprecated.

## Path parameters

- **`id`** _(string, required)_
  The ID of the integrated account

## Query parameters

- **`methods`** _(string)_
  Filter tools based on the type of method. Can be one of: list, get, create, update, delete, read, write, custom, or a custom method name.
  Allowed: `list`, `get`, `create`, `update`, `delete`, `read`, `write`, `custom`
- **`tags`** _(array<string>)_
  Filter tools based on the tags assigned to specific resources.
- **`has_description`** _(string)_
  Defaults to `true` (description-gated). Pass `false` to include tools without a description.
  Allowed: `true`, `false`

## Response body

- **`results`** _(array<object>)_
  - **`resource`** _(string)_
    The resource type for the tool
  - **`method`** _(string)_
    The HTTP method for the tool
  - **`name`** _(string)_
    The name of the tool
  - **`description`** _(string)_
    A description of what the tool does
  - **`query_schema`** _(object)_
    - **`type`** _(string)_
    - **`properties`** _(object)_
  - **`body_schema`** _(object)_
    - **`type`** _(string)_
    - **`properties`** _(object)_
  - **`required`** _(array<string>)_
  - **`tags`** _(array<string>)_

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/integrated-account/{id}/tools' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.truto.one/integrated-account/{id}/tools', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/integrated-account/{id}/tools"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.integratedAccount.tools('<id>');

console.log(result);
```
